Część: Stożek

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Cone and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg poprzedni: Part Sphere.svg Sfera
następny: Torus Part Torus.svg Arrow-right.svg

Part Cone.svg Część: Stożek

Lokalizacja w menu
Część → Bryła pierwotna → Stożek
Środowisko pracy
Część
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Bryły pierwotne

Opis

Polecenie Part Cone.svg Polecenie Stożek środowiska pracy Część tworzy parametryczną bryłę stożka. W układzie współrzędnych zdefiniowanym przez właściwość DANEUmiejscowienie dolna ściana stożka leży na płaszczyźnie XY, a jej środek jest w punkcie początkowym.

Domyślnie stożek środowiska Części jest ścięty. Można go przekształcić w pełny, nieobcięty stożek, zmieniając jego właściwość DANEPromień1 lub DANEPromień2 na zero. Można go przekształcić w fragment stożka, zmieniając jego właściwość DANEKąt.

Part Cone Example.png

Użycie

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Part Cone.svg Stożek.
    • Wybierz z menu opcję Część → Bryła pierwotna → Part Cone.svg Stożek.
  2. Tworzony jest stożek.
  3. Opcjonalnie zmień wymiary i DANEUmiejscowienie stożka, wykonując jedną z poniższych czynności:
    • Kliknij dwukrotnie obiekt w oknie widoku drzewa:
      1. Otworzy się panel zadań Pierwotne bryły parametryczne.
      2. Zmień jedną lub więcej właściwości.
      3. Obiekt jest dynamicznie aktualizowany w oknie widoku 3D.
      4. Naciśnij przycisk OK.
    • Zmień właściwości w Edytorze właściwości.
    • Zmień DANEUmiejscowienie za pomocą narzędzia Std TransformManip.svg Std: Przemieszczenie.

Przykład

Stożek środowiska pracy Część na przykładzie skryptu

Poniżej pokazano obiekt Stożka utworzony za pomocą przykładowego skryptu.

Uwagi

  • Stożek środowiska pracy Część można również utworzyć za pomocą narzędzia Part Primitives.svg Geometrie pierwotne. Za jego pomocą można określić wymiary i umiejscowienie w czasie tworzenia.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Stożek wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Dołączenie

Obiekt ten ma takie same właściwości dołączania jak Part: Part2DObject.

Stożek

  • DANEPromień1 (długość): Promień dolnej powierzchni stożka. Może mieć wartość 0mm, jeśli parametr DANEPromień2 jest większy niż 0mm. Wartość domyślna to 2mm.
  • DANEPromień2 (długość): Promień górnej powierzchni stożka. Może mieć wartość 0mm, jeśli DANEPromień1 jest większy niż 0mm. Wartość domyślna to 4mm.
  • DANEWysokość (długość): Wysokość stożka. Wartość domyślna to 10mm.
  • DANEKąt (kąt): Kąt łuku okręgu, który definiuje górną i dolną ścianę stożka. Poprawny zakres: 0° < wartość <= 360°. Domyślnie jest to 360°. Jeśli wartość jest mniejsza niż 360°, to bryła wynikowa będzie segmentem stożka.

Tworzenie skryptów

Zobacz również: Dokumentacja API generowana automatycznie oraz Skrypty w środowisku Część i Podstawy pisania skryptów dla FreeCAD.

Stożek środowiska pracy Część jest tworzony za pomocą metody addObject().

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Gdzie parametr "myCone" jest etykietą dla obiektu.
  • Funkcja zwraca nowo utworzony obiekt.

Przykład:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()


Arrow-left.svg poprzedni: Part Sphere.svg Sfera
następny: Torus Part Torus.svg Arrow-right.svg